> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prismapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Price History

> Returns price history for one or more tokens or pools.



## OpenAPI

````yaml post /v1/solana/dex/prices/get-price-history
openapi: 3.1.0
info:
  version: 1.0.1
  title: Prism API v1
servers:
  - url: https://refract.prismapi.io
    x-fern-server-name: production
security: []
paths:
  /v1/solana/dex/prices/get-price-history:
    post:
      tags:
        - Solana DEX
      summary: Get Price History
      description: Returns price history for one or more tokens or pools.
      operationId: getPriceHistory
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - from
                - interval
              properties:
                tokens:
                  description: Token addresses to retrieve price history for.
                  type: array
                  minItems: 1
                  maxItems: 100
                  items:
                    type: string
                pools:
                  description: Pool addresses to retrieve price history for.
                  type: array
                  minItems: 1
                  maxItems: 1000
                  items:
                    type: string
                from:
                  description: Start of the history range, as a date-time RFC3339 string.
                  type: string
                  format: date-time
                to:
                  description: |
                    End of the history range, as a date-time RFC3339 string. 
                    Defaults to the current time.
                  type: string
                  format: date-time
                interval:
                  description: Sampling interval between data points, in seconds.
                  type: integer
            examples:
              default:
                value:
                  tokens:
                    - Z4d9YXR4pSkdKcu9UBcwxHp7i32buzdDtAR1b1Gbonk
                  from: '2026-04-27T00:00:00Z'
                  to: '2026-04-27T01:00:00Z'
                  interval: 3600
      responses:
        '200':
          description: Price history for the specified tokens.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SolanaDexPriceHistory'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - HttpApiKeyAuth: []
components:
  schemas:
    SolanaDexPriceHistory:
      x-fern-type-name: SolanaDexPriceHistory
      type: object
      properties:
        token_address:
          type: string
        pool_address:
          type: string
        prices:
          type: array
          items:
            $ref: '#/components/schemas/SolanaDexPriceSnapshot'
    SolanaDexPriceSnapshot:
      x-fern-type-name: SolanaDexPriceSnapshot
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
        usd_price:
          type: number
        usd_volume:
          type: number
  responses:
    BadRequest:
      description: 'Bad request: Invalid request parameters'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Bad request: Invalid request parameters'
    Unauthorized:
      description: 'Unauthorized: Invalid or missing API key'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Unauthorized: Invalid or missing API key'
    Forbidden:
      description: 'Forbidden: Access denied for the current API plan'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Forbidden: Access denied for the current API plan'
    TooManyRequests:
      description: 'Too many requests: Rate limit exceeded'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: 'Too many requests: Rate limit exceeded'
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Internal server error
  securitySchemes:
    HttpApiKeyAuth:
      type: apiKey
      name: x-api-key
      description: >-
        Your Prism API key. You can get one for free in the [Prism
        Dashboard](https://dashboard.prismapi.io).
      in: header

````